=== debian/changelog ===
sumalibs (1.0.36-5) unstable; urgency=medium

  * Adding explicit -lm flag to the build to include the math library on all
    arches

 -- Pierre Gruet <pgt@debian.org>  Sun, 12 Jan 2025 21:10:01 +0100

sumalibs (1.0.36-4) unstable; urgency=medium

  * DEB_CFLAGS_MAINT_APPEND -Wno-incompatible-pointer-types
    Closes: #1075544
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 Dec 2024 09:25:27 +0100

sumalibs (1.0.36-3) unstable; urgency=medium

  * Fixing URI in d/watch
  * Depending on debhelper-compat 13
  * Raising Standards version to 4.6.0 (no change)
  * Providing debian/upstream/metadata
  * Marking the patch as Forwarded: not-needed

 -- Pierre Gruet <pgt@debian.org>  Wed, 10 Nov 2021 21:26:54 +0100

sumalibs (1.0.36-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Mon, 20 Apr 2020 12:35:05 +0200

sumalibs (1.0.36-1) unstable; urgency=medium

  [ Pierre Gruet ]
  * New upstream version 1.0.36
  * Using CMake instead of upstream's Makefile
  * Updating debian/rules to fit CMake.
  * Creating a shared lib and a development package
  * Adding debian/*.install files for the two binary packages
  * Adding symbols file for the shared lib
  * Overriding dh_clean to remove CMake output
  * Hardening compilation
  * Providing autopkgtest for building against the libs
  * Providing autopkgtest as an example for the -dev package

 -- Andreas Tille <tille@debian.org>  Mon, 20 Apr 2020 12:34:26 +0200

sumalibs (1.0.35-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Apr 2020 13:15:04 +0200

sumalibs (1.0.34-1) unstable; urgency=medium

  * Initial release (Closes: #955481)

 -- Andreas Tille <tille@debian.org>  Wed, 01 Apr 2020 13:16:16 +0200
