=== debian/control ===
Source: sumalibs
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/sumalibs
Vcs-Git: https://salsa.debian.org/med-team/sumalibs.git
Homepage: https://git.metabarcoding.org/obitools/sumalibs
Rules-Requires-Root: no

Package: libsuma1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared library for sumatra and sumaclust
 Sumatra is a tool for fast and exact comparison and clustering of sequences
 and sumaclust can be used for fast and exact clustering of genomic sequences.
 Both tools are using this common library.
 .
 This package provides the shared library.

Package: libsuma-dev
Architecture: any
Section: libdevel
Depends: libsuma1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: headers and static library for sumatra and sumaclust
 Sumatra is a tool for fast and exact comparison and clustering of sequences
 and sumaclust can be used for fast and exact clustering of genomic sequences.
 Both tools are using this common library.
 .
 This package provides the static library and header files.
