=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

#Set VERSION and SOVERSION
VERSION=1.0
SOVERSION=1

export DEB_CFLAGS_MAINT_APPEND = -Wno-incompatible-pointer-types

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_HOST_MULTIARCH)" \
		-DVERSION="$(VERSION)" \
		-DSOVERSION="$(SOVERSION)"

override_dh_clean:
	dh_clean
	-rm -rf $(CURDIR)/debian/tmp
	-rm -rf $(CURDIR)/debian/libsuma1
	-rm -rf $(CURDIR)/debian/libsuma-dev
	-rm -rf $(CURDIR)/debian/*debhelper*
	-rm $(CURDIR)/debian/*.substvars
	-rm $(CURDIR)/debian/files
	-rm -rf $(CURDIR)/obj-$(DEB_HOST_MULTIARCH)
