=== debian/tests/control ===
Tests: buildAndSimpleRun
Depends: @, build-essential
