=== debian/watch ===
version=4

https://git.metabarcoding.org/obitools/sumalibs/tags (?:.*?)?v?@ANY_VERSION@.tar.gz
